Bug 257942 - security/gokart: New port: static go code analyzer
Summary: security/gokart: New port: static go code analyzer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/praetorian-inc/gok...
Keywords:
: 258385 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-08-19 13:54 UTC by Gabriel Dutra
Modified: 2021-09-13 19:19 UTC (History)
2 users (show)

See Also:


Attachments
0.1.0 (4.87 KB, patch)
2021-08-19 13:54 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
Added DOCS (5.06 KB, application/x-shellscript)
2021-08-28 01:15 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details
new port gokart (5.50 KB, patch)
2021-08-28 13:27 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2021-08-19 13:54:48 UTC
Created attachment 227323 [details]
0.1.0

GoKart is a static analysis tool for Go that finds vulnerabilities using the
SSA (single static assignment) form of Go source code.

Tested on:

11.4-RELEASE-p12
11.4-RELEASE-p12
12.1-RELEASE-p13
12.1-RELEASE-p13
12.2-RELEASE-p9
12.2-RELEASE-p9
13.0-RELEASE-p3
13.0-RELEASE-p3

Portlint: no errors
Comment 1 Nuno Teixeira freebsd_committer 2021-08-23 23:40:17 UTC
Nice work on this port!

What you think including a DOCS option with README.md file?

It is informative and have examples
Comment 2 Gabriel Dutra 2021-08-24 19:34:57 UTC
Hi Nuno, 

I'm going to take some time to work on this. Great idea, thanks.
Comment 3 Gabriel Dutra 2021-08-28 01:15:09 UTC
Created attachment 227503 [details]
Added DOCS

Hi, Nuno

I added DOCS option. Please, review.
Comment 4 Nuno Teixeira freebsd_committer 2021-08-28 13:27:42 UTC
Created attachment 227512 [details]
new port gokart

Hello,

Port is fine and I've just did some small changes:

1. Removed OPTIONS_SUB because it is implicit with DOCS option
https://docs.freebsd.org/en/books/porters-handbook/quick-porting/#porting-desc

2. Moved PLIST_FILES to a correct position (portclippy)

3. Simplified:
${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
to
${INSTALL_DATA} ${WRKSRC}/${PORTDOCS} ${STAGEDIR}${DOCSDIR}

4. Used 72 cols formating in pkg-descr

Please take a look and if it looks ok put maintainer approval on this diff so I can commit
Comment 5 Gabriel Dutra 2021-09-08 12:14:42 UTC
(In reply to Nuno Teixeira from comment #4)

Approved, Nuno Thanks for improvements.
Comment 6 commit-hook freebsd_committer 2021-09-08 15:58:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=974e6bb08aed2dae231d30d33ba225f4c8b07bef

commit 974e6bb08aed2dae231d30d33ba225f4c8b07bef
Author:     Gabriel Dutra <0xdutra@gmail.com>
AuthorDate: 2021-09-08 15:55:17 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-08 15:57:36 +0000

    security/gokart: New port: static go code analyzer

    GoKart is a static analysis tool for Go that finds vulnerabilities
    using the SSA (single static assignment) form of Go source code.

    WWW: https://github.com/praetorian-inc/gokart

    PR:             257942

 security/Makefile               |  1 +
 security/gokart/Makefile (new)  | 49 +++++++++++++++++++++++++++++++++++++++++
 security/gokart/distinfo (new)  | 35 +++++++++++++++++++++++++++++
 security/gokart/pkg-descr (new) |  4 ++++
 4 files changed, 89 insertions(+)
Comment 7 Nuno Teixeira freebsd_committer 2021-09-08 16:01:53 UTC
Committed thanks!
Comment 8 Nuno Teixeira freebsd_committer 2021-09-08 16:13:28 UTC
(In reply to Gabriel Dutra from comment #5)
And there is a new version available 0.2.0

I'm waiting for a patch :)

Cheers
Comment 9 Robert Clausecker 2021-09-10 14:39:31 UTC
*** Bug 258385 has been marked as a duplicate of this bug. ***